
import Bounce;

import AnimationInterfaceShell;

import java.awt.Graphics;
import java.awt.Dimension;

public class TestGUI extends AnimationInterfaceShell
	{
	//////////////////////////////////////////////////////////////////////
	public void init()
		{
		//create the animator object and get its dimensions
		createAnimator();

		//invoke my superclass's init() to get everything set
		super.init();
		}

	//////////////////////////////////////////////////////////////////////
	protected void offscreenPaint(Graphics graphicsContext)
		{
		}

	//////////////////////////////////////////////////////////////////////
	protected void createAnimator()
		{
		/*
		Create the animator object and get its dimensions.
		*/

		animator = new Bounce();
		animator.init();

		Dimension d = animator.getSize();

		//put its dimensions where my superclass can read them
		animatorWidth = d.width; animatorHeight = d.height;

		super.setVisible(true);
		super.add("Center", animator);
		}

	//////////////////////////////////////////////////////////////////////
	protected void runAnimator()
		{
		/*
		Run the animator object.
		*/

		//will i have to create a thread to let it execute??
		//Thread animatorThread = new Thread(animator);

		//also, how will it know that it must paint to graphicsPane??
		animator.start();
		}

	//////////////////////////////////////////////////////////////////////
	protected void handleStartButton()
		{
		//test overriding of superclass default handler
		System.out.println("TestGUI.handleStartButton()");
		}

	//////////////////////////////////////////////////////////////////////
	protected void handleStopButton()
		{
		//test overriding of superclass default handler
		System.out.println("TestGUI.handleStopButton()");
		}

	//////////////////////////////////////////////////////////////////////
	protected void handleRunButton()
		{
		//test overriding of superclass default handler
		System.out.println("TestGUI.handleRunButtonClick()");
		}
	}
